Bug 729938 - as7: reload operation for standalone seems to sometimes fail
as7: reload operation for standalone seems to sometimes fail
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2011-08-11 06:42 EDT by Heiko W. Rupp
Modified: 2012-02-07 14:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-08-11 06:42:25 EDT
Reload operation for standalone AS7 seems to sometimes fail.
Reason is that during reload, the server is closing its management socket for a short period of time. Depending on various influences (load on platform, swapped-in state etc.) this can happen before the
server was able to send an answer.

We need to treat this like the shutdown operation, where a connection refused is ignored as a valid (intermitted) outcome.
Comment 1 Heiko W. Rupp 2011-08-12 11:35:46 EDT
dac66dc on as7plugin
Comment 2 Heiko W. Rupp 2011-08-15 08:19:47 EDT
Pushed to master 40aab040
Comment 3 Mike Foley 2011-08-15 10:08:18 EDT
verified as follows:  scheduled operation reload on AS7 server.  the operation history reports no error, and i can see from the AS7 console that no errors occurred.  then i scheduled a recurring operation on reload to occur 10 times, and no errors occurred.
Comment 4 Mike Foley 2012-02-07 14:31:10 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE
Comment 5 Mike Foley 2012-02-07 14:31:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.